#!/usr/bin/env perl

$| = 1;

BEGIN { unshift @INC, $1 if $0 =~ /(.*)[\/]/; }

use strict;
use klinstall;
use appdata;

klinstall::check_for_root ("config upgrade script");

my %AI = appdata::get_application_info();

my $filename = @ARGV ? $ARGV[0] : $AI{'DEFAULT_CONFIG'};

appdata::upgrade_config($filename);
